## org.eclipse.emf.transaction
Interface ExceptionHandler

    public interface ExceptionHandler

An interface for client objects that handle exceptions occurring in the interaction with an editing domain's command stack. This is useful, for example, for UIs that want to show a dialog when a command's transaction is rolled back by validation problems.

See Also:
  `RollbackException`

Method Summary
`void` `handleException(Exception e)` Handles the specified exception in some way.

Method Detail

### handleException

    void handleException(Exception e)

  Handles the specified exception in some way.

  Parameters:
    `e` - the exception that occurred. The `RollbackException` is the most interesting exception type that is likely to occur

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.